質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.35%

django-formtoolsのRemovedInDjango110Warningが気になります

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,286

takaocs

score 59

現在以下の環境で作業を行っております。

Python3.5.1
Django1.9.6

「MyDjangoWorks」という作業ディレクトリを作成し、その中で「virtualenv env」とコマンドを実行し、VirtualEnv環境を構築しました。

今回FormPreviewを使いたかったため、django-formtoolsをpipでインストールを行った時に以下のメッセージが表示されました。

Requirement already satisfied (use --upgrade to upgrade): Django>=1.7 in ./env/lib/python3.5/site-packages (from django-formtools)

この時点で少し気にはなっていたのですが、そのまま作業を続けていきました。
FormPreviewを使って確認画面のあるフォームを作成し、runserverコマンドでDjangoを立ち上げたところ、以下のメッセージが表示されました。

/vagrant/MyDjangoWorks/env/lib/python3.5/site-packages/django/shortcuts.py:45: RemovedInDjango110Warning: The context_instance argument of render_to_string is deprecated.  using=using)

よく見てみると、env/lib/python3.5/site-packagesにある「formtools」の中の「preview.py」とこちらの「preview.py」が違うようで、
原因はレンダリングの際、前者の「preview.py」は「render_to_response」を使用しているだからと思っています。

なぜ後者の「preview.py」を含んだ「django-formtools」がインストールされないのでしょうか。
インストールの際何か別の方法があるのでしょうか。

特にエラーが出るわけではないのですが、気になるため、解決方法があればと思い質問させていただきました。

わかる方がいらっしゃいましたら、ご回答頂けるよう
よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

$ pip install django-formtools


(以下の回答は、上記の形式でインストールしたという前提で書いています)

pipコマンドでインストールしたりする際には、PyPIというパッケージ管理サービスを最初に参照します。
PyPIに登録されているdjango-formtoolsはこの回答を書いた時点で、2015/3/31に登録されたバージョン1.0が最後に登録されたものになります。

ここでgithubにあるpreview.pyの履歴を見てみると、バージョン1.0以降に2回ほど更新されています。
githubにある最新のコードはPyPIに登録されているとは限らないため、想定しているコードがインストールされていない原因となるのがここになります。

github上の最新コードで構成されたdjango-formtoolsを使いたい場合は、

$ pip install https://github.com/django/django-formtools/archive/master.zip

というコマンドでインストールできます。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/06/18 18:56

    pipでgithub上の最新コードが取得できたんですね。
    知りませんでした。

    ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.35%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る